org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface EventRequestManager

    public interface EventRequestManager

Description of a manager for creating `EventRequest`s

Since:
  1.0
See Also:
  `EventRequest`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List` `breakpointRequests()` Returns the live immutable list of `BreakpointRequest`s currently queued in the manager.
`BreakpointRequest` `createBreakpointRequest(Location location)` Creates a new `BreakpointRequest` for the given `Location`.
`DebuggerStatementRequest` `createDebuggerStatementRequest()` Creates a new `DebuggerStatementRequest`.
`ExceptionRequest` `createExceptionRequest()` Creates a new `ExceptionRequest`.
`ResumeRequest` `createResumeRequest(ThreadReference thread)` Creates a new `ResumeRequest` for the specified `ThreadReference`.
`ScriptLoadRequest` `createScriptLoadRequest()` Creates a new `ScriptLoadRequest`.
`StepRequest` `createStepRequest(ThreadReference thread, int step)` Creates a new `StepRequest` for the specified `ThreadReference` of the given kind.
`SuspendRequest` `createSuspendRequest(ThreadReference thread)` Creates a new `SuspendRequest` for the specified `ThreadReference`.
`ThreadEnterRequest` `createThreadEnterRequest()` Creates a new `ThreadEnterRequest`.
`ThreadExitRequest` `createThreadExitRequest()` Creates a new `ThreadExitRequest`.
`VMDeathRequest` `createVMDeathRequest()` Creates a new `VMDeathRequest`.
`VMDisconnectRequest` `createVMDisconnectRequest()` Creates a new `VMDisconnectRequest`.
`java.util.List` `debuggerStatementRequests()` Returns the live immutable list of `DebuggerStatementRequest`s currently queued in the manager.
`void` `deleteEventRequest(EventRequest eventRequest)` Deletes the given `EventRequest`
`void` `deleteEventRequest(java.util.List eventRequests)` Deletes the list of `EventRequest`s
`java.util.List` `exceptionRequests()` Returns the live immutable list of `ExceptionRequest`s currently queued in the manager.
`java.util.List` `resumeRequests()` Returns the live immutable list of `ResumeRequest`s currently queued in the manager.
`java.util.List` `scriptLoadRequests()` Returns the live immutable list of `ScriptLoadRequest`s currently queued in the manager.
`java.util.List` `stepRequests()` Returns the live immutable list of `StepRequest`s currently queued in the manager.
`java.util.List` `suspendRequests()` Returns the live immutable list of `SuspendRequest`s currently queued in the manager.
`java.util.List` `threadEnterRequests()` Returns the live immutable list of `ThreadEnterRequest`s currently queued in the manager.
`java.util.List` `threadExitRequests()` Returns the live immutable list of `ThreadExitRequest`s currently queued in the manager.
`java.util.List` `vmDeathRequests()` Returns the live immutable list of `VMDeathRequest`s currently queued in the manager.
`java.util.List` `vmDisconnectRequests()` Returns the live immutable list of `VMDisconnectRequest`s currently queued in the manager.

### Method Detail

#### createBreakpointRequest

    BreakpointRequest createBreakpointRequest(Location location)

Creates a new `BreakpointRequest` for the given `Location`.
This method cannot return `null`

Parameters:
  `location` - the `Location` to create the breakpoint for, `null` is not accepted
Returns:
  a new `BreakpointRequest` for the given `Location`, never `null`

#### breakpointRequests

    java.util.List breakpointRequests()

Returns the live immutable list of `BreakpointRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `BreakpointRequest`s or an empty list, never `null`

#### createDebuggerStatementRequest

    DebuggerStatementRequest createDebuggerStatementRequest()

Creates a new `DebuggerStatementRequest`.
This method cannot return `null`

Returns:
  a new `DebuggerStatementRequest` never `null`

#### debuggerStatementRequests

    java.util.List debuggerStatementRequests()

Returns the live immutable list of `DebuggerStatementRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `DebuggerStatementRequest`s or an empty list, never `null`

#### createExceptionRequest

    ExceptionRequest createExceptionRequest()

Creates a new `ExceptionRequest`.
This method cannot return `null`

Returns:
  a new `ExceptionRequest` never `null`

#### exceptionRequests

    java.util.List exceptionRequests()

Returns the live immutable list of `ExceptionRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `ExceptionRequest`s or an empty list, never `null`

#### createScriptLoadRequest

    ScriptLoadRequest createScriptLoadRequest()

Creates a new `ScriptLoadRequest`.
This method cannot return `null`

Returns:
  a new `ScriptLoadRequest` never `null`

#### scriptLoadRequests

    java.util.List scriptLoadRequests()

Returns the live immutable list of `ScriptLoadRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `ScriptLoadRequest`s or an empty list, never `null`

#### createStepRequest

    StepRequest createStepRequest(ThreadReference thread,
                                  int step)

Creates a new `StepRequest` for the specified `ThreadReference` of the given kind.
This method cannot return `null`

Parameters:
  `thread` - the `ThreadReference` to perform the step in
  `step` - the kind of step
Returns:
  a new `StepRequest` never `null`
See Also:
  `for a complete listing of step kinds`

#### stepRequests

    java.util.List stepRequests()

Returns the live immutable list of `StepRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `StepRequest`s or an empty list, never `null`

#### createSuspendRequest

    SuspendRequest createSuspendRequest(ThreadReference thread)

Creates a new `SuspendRequest` for the specified `ThreadReference`.
This method cannot return `null`

Parameters:
  `thread` - the `ThreadReference` to perform the suspend on
Returns:
  a new `SuspendRequest` never `null`

#### suspendRequests

    java.util.List suspendRequests()

Returns the live immutable list of `SuspendRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `SuspendRequest`s or an empty list, never `null`

#### createResumeRequest

    ResumeRequest createResumeRequest(ThreadReference thread)

Creates a new `ResumeRequest` for the specified `ThreadReference`.
This method cannot return `null`

Parameters:
  `thread` - the `ThreadReference` to perform the suspend on
Returns:
  a new `ResumeRequest` never `null`

#### resumeRequests

    java.util.List resumeRequests()

Returns the live immutable list of `ResumeRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `ResumeRequest`s or an empty list, never `null`

#### createThreadEnterRequest

    ThreadEnterRequest createThreadEnterRequest()

Creates a new `ThreadEnterRequest`.
This method cannot return `null`

Returns:
  a new `ThreadEnterRequest` never `null`

#### threadEnterRequests

    java.util.List threadEnterRequests()

Returns the live immutable list of `ThreadEnterRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `ThreadEnterRequest`s or an empty list, never `null`

#### createThreadExitRequest

    ThreadExitRequest createThreadExitRequest()

Creates a new `ThreadExitRequest`.
This method cannot return `null`

Returns:
  a new `ThreadExitRequest` never `null`

#### threadExitRequests

    java.util.List threadExitRequests()

Returns the live immutable list of `ThreadExitRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `ThreadExitRequest`s or an empty list, never `null`

#### deleteEventRequest

    void deleteEventRequest(EventRequest eventRequest)

Deletes the given `EventRequest`

Parameters:
  `eventRequest` - the `EventRequest` to delete, `null` is not accepted

#### deleteEventRequest

    void deleteEventRequest(java.util.List eventRequests)

Deletes the list of `EventRequest`s

Parameters:
  `eventRequests` - the `EventRequest`s to delete, `null` is not accepted

#### createVMDeathRequest

    VMDeathRequest createVMDeathRequest()

Creates a new `VMDeathRequest`.
This method cannot return `null`

Returns:
  a new `VMDeathRequest` never `null`

#### vmDeathRequests

    java.util.List vmDeathRequests()

Returns the live immutable list of `VMDeathRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `VMDeathRequest`s or an empty list, never `null`

#### createVMDisconnectRequest

    VMDisconnectRequest createVMDisconnectRequest()

Creates a new `VMDisconnectRequest`.
This method cannot return `null`

Returns:
  a new `VMDisconnectRequest` never `null`

#### vmDisconnectRequests

    java.util.List vmDisconnectRequests()

Returns the live immutable list of `VMDisconnectRequest`s currently queued in the manager.
This method cannot return `null`

Returns:
  the list of `VMDisconnectRequest`s or an empty list, never `null`